%define module  PDF-API2
%define name    perl-%{module}
%define version 0.63
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        PDF-API2 Perl module
License:        Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/PDF/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Compress::Zlib)
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module is 'The Next Generation' of Text::PDF::API which initially 
provided a nice API around the Text::PDF::* modules created by Martin Hosken.

%prep
%setup -q  -n %{module}-%{version}
find contrib -type f | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 
perl -pi -e 'tr/\r//d' CHANGELOG LICENSE contrib/pdf-deoptimize.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor MAN1PODS='' MAN3PODS=''
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Win32.pm
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Basic/TTF/Win32.pm

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS CONTACT COPYING INSTALL LICENSE README TODO VERSION contrib examples
%{perl_vendorlib}/PDF
%{_mandir}/*/*


%changelog
* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2008.0
+ Revision: 75230
- update to new version 0.63

* Wed Aug 15 2007 Funda Wang <fundawang@mandriva.org> 0.62-2mdv2008.0
+ Revision: 63666
- remove Win32 files

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 0.62-1mdv2008.0
+ Revision: 60470
- fix doc files
- New version 0.62

* Thu May 10 2007 Olivier Thauvin <nanardon@mandriva.org> 0.61-1mdv2008.0
+ Revision: 25829
- 0.61

* Thu May 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.60-1mdv2008.0
+ Revision: 22085
- 0.60


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2007.0
- New version 0.55

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2007.0
- New version 0.53

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2007.0
- New version 0.52

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdk
- New release 0.51
- drop patch, a command-line switch is easier to maintain

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.003-1mdk
- New release 0.46.003

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.46.002-2mdk
- buildrequires fix

* Fri Sep 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.002-1mdk
- New release 0.46.002

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.001-1mdk
- New release 0.46.001

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- fix directory ownership
- enable tests
- better url
- fix doc files list
- force man page generation
- fix some perms and encoding

* Mon Mar 01 2004 Michael Scherer <misc@mandrake.org> 0.3r77-2mdk 
- remove useless Requires on win32

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3r77-1mdk
- 0.3r77

